﻿using System;
using System.Runtime.InteropServices;

namespace Nefarius.Peripherals.SerialPort.Win32PInvoke;

internal class Win32Com
{
    //Constants for lpErrors:
    internal const UInt32 CE_TXFULL = 0x0100;
    internal const UInt32 CE_PTO = 0x0200;
    internal const UInt32 CE_IOE = 0x0400;
    internal const UInt32 CE_DNS = 0x0800;
    internal const UInt32 CE_OOP = 0x1000;
    internal const UInt32 CE_MODE = 0x8000;

    [DllImport("kernel32.dll")]
    internal static extern Boolean GetHandleInformation(IntPtr hObject, out UInt32 lpdwFlags);
    
    [DllImport("kernel32.dll")]
    internal static extern Boolean TransmitCommChar(IntPtr hFile, Byte cChar);

    [DllImport("kernel32.dll")]
    internal static extern Boolean GetCommModemStatus(IntPtr hFile, out UInt32 lpModemStat);
}